Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 May 2015 09:27:52 -0400

>> So the question becomes: why does Emacs select this font and how could
>> we change ti so it selects something else.
> Emacs selects that font because it's available, and claims support for
> the particular character Emacs needs to display.

That doesn't explain why it selects that font instead of some other font
(say Symbola).

> And I don't agree with the "just sucks" part: there are use cases when
> the user might prefer a specific font for valid reason, e.g. the
> quality of the glyphs.

Oh, I'm not saying that specifying the font you want sucks.  I'm just
saying that having to specify a good font sucks when what you want to do
is to specify which font is bad instead (and you may not even know
which font is good, and/or that font may not always be the same).

        Stefan